# List Agents

Lists agents available for the account, used to look up agent_id when creating a GRAY_BOX
simulation.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

Agent List endpoint returns the APV agent list with agent name, id, status, agent type, version, platform information and creation time.

Results are paginated with the limit and offset query parameters, and the pages object returns the total agent count. Use an agent's id as agent_id when creating a Gray-Box or Black-Box simulation.

Example

List the first two APV agents of the account.

curl --request GET \
     --url 'https://api.picussecurity.com/v1/apv/agents?limit=2&offset=0' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer access_token'
{
  "agents": [
    {
      "created_at": 1725184320000,
      "id": 101,
      "name": "WIN-AGENT-01",
      "platform_architecture": "x64",
      "platform_name": "Windows Server 2019",
      "status": "ALIVE",
      "type": "Windows",
      "version": "1.4.2"
    },
    {
      "created_at": 1727862720000,
      "id": 102,
      "name": "LNX-AGENT-02",
      "platform_architecture": "x64",
      "platform_name": "Ubuntu 22.04",
      "status": "ALIVE",
      "type": "Linux",
      "version": "1.4.2"
    }
  ],
  "pages": {
    "limit": 2,
    "offset": 0,
    "total_count": 5
  }
}
Query Params
int64
int64
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json